"use client";

import Link from "next/link";

import { motion } from "framer-motion";
import { MoveDown } from "lucide-react";
import { useTranslations } from "next-intl";

import BlurFade from "@/components/ui/blur-fade";
import ShinyButton from "@/components/ui/shiny-button";
import { Locale } from "@/i18n/routing";

function LinkRequestAFieldVisit({ locale }: { locale: Locale }) {
	const t = useTranslations("Services");

	return (
		<BlurFade blur="6px" direction="up" delay={0.25} inView offset={10}>
			<Link
				href={{
					pathname: `/${locale}/request-a-field-visit`,
				}}
			>
				<ShinyButton
					className="mt-10 rounded-[20px] py-3 md:mt-16"
					style={{
						background:
							"linear-gradient(92.11deg, #2895C8 -8.47%, #2895C8 98.22%)",
					}}
				>
					<motion.div
						animate={{ y: [0, -10, 0] }}
						transition={{ repeat: Infinity, duration: 1.5 }}
					>
						<MoveDown className="text-white" />
					</motion.div>
					<p className="text-xl text-white">{t("RequestAFieldVisit")}</p>
				</ShinyButton>
			</Link>
		</BlurFade>
	);
}

export default LinkRequestAFieldVisit;
